<?php
	chdir('../');
	if (!is_writable('.')) die('Make sure the folder is writable.');
	if (!is_writable('article')) die('Make sure the article/ folder is writable.');
	
	if ($txt = str_replace("\r\n", "\n", @$_POST['txt'])) {
		$newtime = time();
		file_put_contents('article/' . $newtime . '.txt', $txt);
		foreach ((array)@$_FILES['image']['error'] as $key => $error) {
			if ($error == UPLOAD_ERR_OK) {
				$tmp_name = $_FILES['image']['tmp_name'][$key];
				$name = basename($_FILES['image']['name'][$key]);
				$folder = 'article/' . $newtime . '/';
				@mkdir($folder);
				$target = $folder . $key . '.' . pathinfo($name, PATHINFO_EXTENSION);
				move_uploaded_file($tmp_name, $target);
				if (strtolower(substr($target, -4)) === '.mov')
					@shell_exec('ffmpeg -i ' . escapeshellarg($target) . ' -c copy ' . escapeshellarg($target . '.mp4'));
			}
		}
	}
	
	if ($txt || $_FILES || isset($_POST['regen'])) {
		include 'template/regen.php';
		if (isset($newtime))
			render_month(date('Y-m', $newtime));
		else
			render_all();
		render_index();
		header('Location: .');
		die();
	}
	
	$articles = glob('article/*.txt');
	rsort($articles, SORT_NATURAL);
	$times = array();
	foreach (array_slice($articles, 0, 10) as $txt) {
		@list($title, $body) = explode("\n\n", file_get_contents($txt), 2);
		$times[] = array($title, pathinfo($txt, PATHINFO_FILENAME));
	}
?>
<!doctype html>
<meta charset=utf-8 />
<meta content=width=device-width name=viewport />
<link href=../style/sheet.css rel=stylesheet />
<title>Log</title>
<h1>Log</h1>
<form enctype=multipart/form-data method=post>
	<p><textarea name=txt></textarea>
	<p><button>Upload</button> <input accept=.jpg,.jpeg,.png,.mp4,.mov multiple name=image[] type=file />
	<p>Max : <?= htmlspecialchars(ini_get('upload_max_filesize') . ' / ' . ini_get('post_max_size')) ?></p>
	<p><button name=regen>Regen</button>
</form>
<ul>
<?php foreach ($times as list($title, $time)): ?>
	<p><li>
		<a href="<?= htmlspecialchars('edit.php?time=' . rawurlencode($time)) ?>"><?= htmlspecialchars($title) ?></a>
		<?= htmlspecialchars(date('Y-m-d H:i:s', $time)) ?></li>
<?php endforeach; ?>
</ul>
