<?php
	require_once 'template/config.php';
	
	$articles = glob('article/*.txt');
	rsort($articles, SORT_NATURAL);
	foreach ($articles as &$article) {
		$article = pathinfo($article, PATHINFO_FILENAME);
	}
	unset($article);
	$articles = array_slice($articles, 0, 10);
?>
<!doctype html>
<meta charset=utf-8 />
<meta content=width=device-width name=viewport />
<link href=style/sheet.css rel=stylesheet />
<link href=index.rss rel=alternate type=application/rss+xml />
<title><?= htmlspecialchars(BLOG_TITLE) ?></title>
<h1><?= htmlspecialchars(BLOG_TITLE) ?></h1>
<p>
<?php foreach (glob('????-??.html') as $month): ?>
	<a href="<?= htmlspecialchars(rawurlencode($month)) ?>"><?= htmlspecialchars(date('F Y', strtotime(substr($month, 0, 7)))) ?></a>
<?php endforeach; ?>
</p>
<?php foreach ($articles as $time): ?>
<?php	include 'template/article.php'; ?>
<?php endforeach; ?>
